<?php
/**
 * Classe com as funções para manipular o acesso ao mysql
 */
class Mysql extends BancoCLS{


	function Mysql($usuario, $senha, $servidor, $base, $porta){
		if($porta == ''){
			$porta = 3306;
		}
		$this->usuario 		= $usuario;
		$this->senha 		= $senha;
		$this->servidor 	= $servidor;
		$this->base 		= $base;
		$this->porta		= $porta;
	}

	function connect(){
		if(!$this->conn = mysql_connect(	$this->servidor , $this->usuario, $this->senha	) ){
			$this->setErro('Erro ao conectar no servidor mysql.<br />'.mysql_error());
			return false;
		} elseif(!mysql_select_db( $this->base, $this->conn ) ){
			$this->setErro('Erro ao conectar no servidor mysql.<br />'.mysql_error());
			return false;
		}
		mysql_query("SET NAMES 'utf8';");
		return true;
	}

	function query(	$sql ){
		if(	!$rs = mysql_query(	$sql,	$this->conn	) )
			$this->setErro('Erro-> '.mysql_error());
		return $rs;
	}

	function fetchRow(&$rs){
		return mysql_fetch_assoc(	$rs	);
	}

	function close(){
		mysql_close(	$this->conn	);
	}

	function numRows(&$rs){
		return mysql_num_rows(	$rs	);
	}
	
	function isError(){
		return $this->erro;
	}

	function ultimoId(){
		return mysql_insert_id();
	}
}